<?


 function declare_class()
 {  // 0 - объект
    $_SESSION['descr_clss']=array() ;
    $_SESSION['descr_clss'][0]['name']='Объект' ;
	$_SESSION['descr_clss'][0]['parent']=NULL ;
	$_SESSION['descr_clss'][0]['fields']=array('pkey'=>'int(11)','tkey'=>'int(11)','clss'=>'int(11)','enabled'=>'int(1)','_enabled'=>'int(1)','indx'=>'int(11)','obj_name'=>'text','parent'=>'int(11)','c_data'=>'timedata','r_data'=>'timedata') ;
    $_SESSION['descr_clss'][0]['default']=array('clss'=>0,'enabled'=>1,'_enabled'=>1,'parent'=>1,'tkey'=>1);
    $_SESSION['descr_clss'][0]['index']=array('parent'=>'parent','clss'=>'clss');

    // меню объекта
    $_SESSION['descr_clss'][0]['menu'][]=array("name" => "Добавить",				"type" => 'structure') ;
    $_SESSION['descr_clss'][0]['menu'][]=array("name" => "Свойства",				"type" => 'prop') ;
	$_SESSION['descr_clss'][0]['icons']=_PATH_TO_BASED_CLSS_IMG.'/0.png' ;

	$_SESSION['descr_clss'][0]['list']['field']['pkey']				='Код' ;
	$_SESSION['descr_clss'][0]['list']['field']['enabled']			='Сост.' ;
	$_SESSION['descr_clss'][0]['list']['field']['_enabled']         ='Общее сост.' ;
	$_SESSION['descr_clss'][0]['list']['field']['indx']				='Позиция'  ;
	$_SESSION['descr_clss'][0]['list']['field']['obj_name']			='Наименование' ;
    $_SESSION['descr_clss'][0]['list']['options']['buttons']=array('create','save','delete','copy') ;

	$_SESSION['descr_clss'][0]['details']['field']['pkey']			='Код' ;
	$_SESSION['descr_clss'][0]['details']['field']['enabled']		='Сост.' ;
	$_SESSION['descr_clss'][0]['details']['field']['_enabled']      ='Общее сост.' ;
 	$_SESSION['descr_clss'][0]['details']['field']['parent']		='Подраздел' ;
	$_SESSION['descr_clss'][0]['details']['field'][]				=array('title'=>'Путь в каталоге','edit_element'=>'clss_patch') ;
	$_SESSION['descr_clss'][0]['details']['field']['c_data']		='Создан' ;
	$_SESSION['descr_clss'][0]['details']['field']['r_data']		='Изменен' ;
	$_SESSION['descr_clss'][0]['details']['field']['indx']			='Позиция'  ;
	$_SESSION['descr_clss'][0]['details']['field']['obj_name']		='Наименование' ;
    $_SESSION['descr_clss'][0]['details']['options']['buttons']     =array('save','delete') ;

	// 1 - раздел каталога
	$_SESSION['descr_clss'][1]['name']='Раздел' ;
	$_SESSION['descr_clss'][1]['parent']=0 ;
    $_SESSION['descr_clss'][1]['fields']['code']='varchar(32)' ;

	// 2 - товар, модуль "Каталог товаров"

	// 3 - фото
	$_SESSION['descr_clss'][3]['name']='Фото' ;
	$_SESSION['descr_clss'][3]['parent']=0 ;
	$_SESSION['descr_clss'][3]['fields']=array('file_name'=>'varchar(255)','type'=>'varchar(20)','size'=>'int(11)','manual'=>'text','top'=>'int(11)','alt'=>'varchar(255)') ;
	$_SESSION['descr_clss'][3]['parent_to']=array() ;
    $_SESSION['descr_clss'][3]['no_show_in_tree']					=1 ;
    $_SESSION['descr_clss'][3]['no_create_by_list']					=1 ;
    //$_SESSION['descr_clss'][3]['menu'][]=array("name" => "Свойства",				"action" => 2) ; // фото
    $_SESSION['descr_clss'][3]['icons']=_PATH_TO_BASED_CLSS_IMG.'/3.png' ;
    $_SESSION['descr_clss'][3]['table_code']='image' ;

	$_SESSION['descr_clss'][3]['list']['field'][]					=array('title'=>'Фото','edit_element'=>'clss_3_image') ;
	$_SESSION['descr_clss'][3]['list']['field']['enabled']			='Сост.' ;
	$_SESSION['descr_clss'][3]['list']['field']['indx']				='Позиция'  ;
	//$_SESSION['descr_clss'][3]['list']['field']['top']			='TOP' ;
    //$_SESSION['descr_clss'][3]['list']['field']['c_data']			='Загружен' ;
    $_SESSION['descr_clss'][3]['list']['field']['obj_name']			='Название' ;
    $_SESSION['descr_clss'][3]['list']['field']['manual']			='Описание' ;
    $_SESSION['descr_clss'][3]['list']['field']['alt']			='alt' ;
	//$_SESSION['descr_clss'][3]['list']['field']['file_name']		=array('title'=>'Имя файла','read_only'=>1) ;
	$_SESSION['descr_clss'][3]['list']['field'][]					=array('title'=>'Размер','edit_element'=>'clss_3_size') ;


	$_SESSION['descr_clss'][3]['details']['field']['pkey']			='Код' ;
	$_SESSION['descr_clss'][3]['details']['field']['enabled']		='Сост.' ;
	$_SESSION['descr_clss'][3]['details']['field']['indx']			='Позиция'  ;
	$_SESSION['descr_clss'][3]['details']['field']['parent']		='Объект' ;
	$_SESSION['descr_clss'][3]['details']['field']['c_data']		='Загружен' ;
    $_SESSION['descr_clss'][3]['details']['field']['obj_name']			='Название' ;
    $_SESSION['descr_clss'][3]['details']['field']['manual']			='Описание' ;
    $_SESSION['descr_clss'][3]['details']['field']['alt']			='alt' ;
	$_SESSION['descr_clss'][3]['details']['field']['file_name']		=array('title'=>'Имя файла','read_only'=>1) ;
	$_SESSION['descr_clss'][3]['details']['field'][]				=array('title'=>'Размер','edit_element'=>'clss_3_size') ;
	$_SESSION['descr_clss'][3]['details']['field'][]				=array('title'=>'Клоны','edit_element'=>'clss_3_clone') ;
	$_SESSION['descr_clss'][3]['details']['field'][]				=array('title'=>'Фото','edit_element'=>'clss_3_image') ;
	$_SESSION['descr_clss'][3]['details']['field'][]				=array('title'=>'Ссылки','edit_element'=>'clss_3_reffers','td_class'=>'left') ;
	//$_SESSION['descr_clss'][3]['details']['field'][]				=array('title'=>'Операции','edit_element'=>'clss_3_action','td_class'=>'left') ;

	// 4 - Видео youtube
	$_SESSION['descr_clss'][4]['name']='Видео youtube' ;
	$_SESSION['descr_clss'][4]['fields']=array('file_name'=>'varchar(255)','manual'=>'text','top'=>'int(11)') ;
    $_SESSION['descr_clss'][4]['fields']['w']=array('type'=>'int(11)','default'=>425) ;
	$_SESSION['descr_clss'][4]['parent']=0 ;
    $_SESSION['descr_clss'][4]['parent_to']=array() ;
    //$_SESSION['descr_clss'][4]['no_show_in_tree']					=1 ;
    $_SESSION['descr_clss'][4]['no_create_by_list']					=1 ;
    $_SESSION['descr_clss'][4]['table_code']='video' ;

    //$_SESSION['descr_clss'][4]['list']['field'][]					=array('title'=>'Фото','edit_element'=>'clss_4_preview') ;
    $_SESSION['descr_clss'][4]['list']['field']['enabled']			='Сост.' ;
    $_SESSION['descr_clss'][4]['list']['field']['indx']				='Позиция'  ;
    $_SESSION['descr_clss'][4]['list']['field']['top']			    ='TOP' ;
    $_SESSION['descr_clss'][4]['list']['field']['c_data']			='Создан' ;
    $_SESSION['descr_clss'][4]['list']['field']['obj_name']			='Название видео' ;
    $_SESSION['descr_clss'][4]['list']['field']['file_name']	    =array('title'=>'Ссылка на видео на youtube.com','edit_element'=>'memo') ;
    $_SESSION['descr_clss'][4]['list']['field']['w']			    ='Ширина' ;
    $_SESSION['descr_clss'][4]['list']['field']['manual']			=array('title'=>'Описание','use_HTML_editor'=>1) ;


    $_SESSION['descr_clss'][4]['details']['field']['pkey']			='Код' ;
    $_SESSION['descr_clss'][4]['details']['field']['enabled']		='Сост.' ;
    $_SESSION['descr_clss'][4]['details']['field']['indx']			='Позиция'  ;
    $_SESSION['descr_clss'][4]['details']['field']['parent']		='Объект' ;
    $_SESSION['descr_clss'][4]['details']['field']['c_data']		='Создан' ;
    $_SESSION['descr_clss'][4]['details']['field']['obj_name']		='Название видео' ;
    $_SESSION['descr_clss'][4]['details']['field']['file_name']	    =array('title'=>'Ссылка на видео на youtube.com','edit_element'=>'memo') ;
    $_SESSION['descr_clss'][4]['details']['field'][]				=array('title'=>'Просмотр','on_view'=>'youtube_on_view') ;
    $_SESSION['descr_clss'][4]['details']['field']['manual']		=array('title'=>'Описание','use_HTML_editor'=>1) ;

	// 5 - файл
	$_SESSION['descr_clss'][5]['name']='Файл' ;
	$_SESSION['descr_clss'][5]['fields']=array('file_name'=>'varchar(255)','type'=>'varchar(20)','size'=>'int(11)','manual'=>'text') ;
	$_SESSION['descr_clss'][5]['parent']=0 ;
    $_SESSION['descr_clss'][5]['no_show_in_tree']					=1 ;
    $_SESSION['descr_clss'][5]['no_create_by_list']					=1 ;
    $_SESSION['descr_clss'][5]['table_code']='files' ;


	$_SESSION['descr_clss'][5]['list']['field']['enabled']					='Сост.' ;
	$_SESSION['descr_clss'][5]['list']['field']['indx']						='Позиция'  ;
	$_SESSION['descr_clss'][5]['list']['field']['obj_name']					='Наименование' ;
	$_SESSION['descr_clss'][5]['list']['field']['manual']				    =array('title'=>'Комментарий') ;
    $_SESSION['descr_clss'][5]['list']['field'][]							=array('title'=>'Просмотр','edit_element'=>'file_preview') ;
    //$_SESSION['descr_clss'][5]['list']['field']['file_name']				=array('title'=>'Имя файла','read_only'=>1) ;
    $_SESSION['descr_clss'][5]['list']['field']['type']						=array('title'=>'Формат',	'read_only'=>1) ;
	$_SESSION['descr_clss'][5]['list']['field']['size']						=array('title'=>'Размер',	'edit_element'=>'show_size') ;
	//$_SESSION['descr_clss'][5]['list']['field'][]							=array('title'=>'Загрузка файла',	'edit_element'=>'file_upload','td_class'=>'left') ;
	//$_SESSION['descr_clss'][5]['list']['field'][]							=array('title'=>'Загрузка превьшки','edit_element'=>'file_preview_upload','td_class'=>'left') ;
	//$_SESSION['descr_clss'][5]['list']['field'][]							=array('title'=>'Относительный адрес<br>Абсолютный адрес','edit_element'=>'file_href','td_class'=>'left') ;

    $_SESSION['descr_clss'][5]['details']['field']['parent']                    =array('title'=>'Объект') ;
    $_SESSION['descr_clss'][5]['details']['field']['enabled']					='Сост.' ;
    $_SESSION['descr_clss'][5]['details']['field']['indx']						='Позиция'  ;
    $_SESSION['descr_clss'][5]['details']['field']['obj_name']					='Наименование' ;
    $_SESSION['descr_clss'][5]['details']['field']['manual']				    =array('title'=>'Комментарий') ;
    $_SESSION['descr_clss'][5]['details']['field'][]							=array('title'=>'Просмотр','edit_element'=>'file_preview') ;


	// 6 - свойство, модуль "category"

	// 7 - информация, модуль site

    // 8 - заметка в блоге (модуль Блоги)
    // 9 - новость (модуль Новости)

	// 10 - раздел с описанием - окончательно передан в модуль "Товары"
    // 11 - статья (модуль art)
    // 12 - альбом (модуль galerey)
    // 13 - директория в редакторе страниц



	//сообщения тикетов службы поддержки, форума, заказов и т.п.
	$_SESSION['descr_clss'][15]['name']='Cообщение' ;
	$_SESSION['descr_clss'][15]['parent']=0 ;
	$_SESSION['descr_clss'][15]['fields']							=array('account_reffer'=>'any_object','autor_email'=>'varchar(100)','autor_name'=>'varchar(100)','autor_phone'=>'varchar(32)') ;
	$_SESSION['descr_clss'][15]['fields']['status']				    =array('type'=>'int(11)','default'=>0) ;

	$_SESSION['descr_clss'][15]['parent_to']						=array() ;
	$_SESSION['descr_clss'][15]['no_show_in_tree']					=1 ;
    $_SESSION['descr_clss'][15]['no_create_by_list']					=1 ;


    //$_SESSION['descr_clss'][15]['list']['field']['pkey']			=array('title'=>'id','type'=>'str') ;
	$_SESSION['descr_clss'][15]['list']['field']['c_data']			=array('title'=>'Дата','type'=>'time') ;
	$_SESSION['descr_clss'][15]['list']['field']['account_reffer']	=array('title'=>'Автор') ;
	$_SESSION['descr_clss'][15]['list']['field']['obj_name']		=array('title'=>'Текст','td_class'=>'left') ;


    $_SESSION['descr_clss'][15]['details']							=$_SESSION['descr_clss'][0]['details'] ;
	$_SESSION['descr_clss'][15]['details']['field']['obj_name']		=array('title'=>'Наименование','td_class'=>'left') ;
	$_SESSION['descr_clss'][15]['details']['field']['account_reffer']=array('title'=>'Автор') ;

    // 16 - Тикет службы поддержки (модуль Служба поддержки)
    // 17 - Тег (модуль Облако тегов)
    // 18 - Связь (модуль Облако тегов)
    // 19 - Слово (модуль Облако тегов)

	//Запись в списке
	$_SESSION['descr_clss'][20]['name']='Запись в списке' ;
	$_SESSION['descr_clss'][20]['parent']=0 ;
	$_SESSION['descr_clss'][20]['fields']=array('id'=>'int(11)','url_name'=>'varchar(255)') ;
	$_SESSION['descr_clss'][20]['index']['index_id']='id' ;
	$_SESSION['descr_clss'][20]['fields']['personal_id']=array('type'=>'int(11)') ; // объявление продублировано из m_AD для устранеия ошибки при инсталяции модуля
     $_SESSION['descr_clss'][20]['fields']['viewer_name']=array('type'=>'varchar(32)') ;
    $_SESSION['descr_clss'][20]['parent_to']=array(3) ;
    $_SESSION['descr_clss'][20]['child_to']=array(21) ;
    $_SESSION['descr_clss'][20]['icons']=_PATH_TO_BASED_CLSS_IMG.'/20.png' ;


    $_SESSION['descr_clss'][20]['list']=array() ;
	$_SESSION['descr_clss'][20]['list']['field']['id']			    ='Код' ;
	$_SESSION['descr_clss'][20]['list']['field']['enabled']			='Состояние' ;
	$_SESSION['descr_clss'][20]['list']['field']['indx']			='Позиция'  ;
	$_SESSION['descr_clss'][20]['list']['field']['obj_name']		=array('title'=>'Название','edit_element'=>'input','class'=>'big','td_class'=>'left') ;
    //$_SESSION['descr_clss'][20]['list']['options']					=array('no_icon_edit'=>1);

    $_SESSION['descr_clss'][20]['details']=$_SESSION['descr_clss'][20]['list'] ;

	//Список
    //!!! внимание в модуле galerey - 21 коллекция. Удалить оттуда, если не используется
	$_SESSION['descr_clss'][21]['name']='Список' ;
	$_SESSION['descr_clss'][21]['parent']=0 ;
    $_SESSION['descr_clss'][21]['fields']=array('arr_name'=>'varchar(255)','hidden'=>'int(1)','code'=>'varchar(32)') ;
    $_SESSION['descr_clss'][21]['child_to']=array(1) ;
    $_SESSION['descr_clss'][21]['parent_to']=array(20) ;
    $_SESSION['descr_clss'][21]['icons']=_PATH_TO_BASED_CLSS_IMG.'/21.png' ;

	$_SESSION['descr_clss'][21]['list']['field']['pkey']		=array('title'=>'ID') ;
	$_SESSION['descr_clss'][21]['list']['field']['obj_name']		=array('title'=>'Название списка','edit_element'=>'input','class'=>'big','td_class'=>'left') ;
	$_SESSION['descr_clss'][21]['list']['field']['clss_21_arr_name']=array('title'=>'Обращение к списку из PHP','td_class'=>'left') ;

    $_SESSION['descr_clss'][21]['details']['field']['pkey']		    =array('title'=>'id') ;
    $_SESSION['descr_clss'][21]['details']['field']['obj_name']		=array('title'=>'Название списка','edit_element'=>'input','class'=>'big','td_class'=>'left') ;
    $_SESSION['descr_clss'][21]['details']['field']['arr_name']		=array('title'=>'Название массива','edit_element'=>'input','td_class'=>'left','pref'=>'IL_') ;
    $_SESSION['descr_clss'][21]['details']['field']['clss_21_arr_name']=array('title'=>'Обращение к списку из PHP','td_class'=>'left') ;


    // 23 - облако тегов, Ранее был ранее кеш страницы
    // 24 - версия статьи. Ранее был ранее задание

	// 25 - указатель на parent в таблицы множественных связей. был ранее объекты XML списком
    $_SESSION['descr_clss'][25]['name']='Связь с разделом' ;
    $_SESSION['descr_clss'][25]['parent']=0 ;
    $_SESSION['descr_clss'][25]['fields']=array('section_id'=>'int(11)') ;
    $_SESSION['descr_clss'][25]['parent_to']=array() ;
    $_SESSION['descr_clss'][25]['table_code']='parents' ;

    $_SESSION['descr_clss'][25]['list']['field']['enabled']				='Сост.' ;
    $_SESSION['descr_clss'][25]['list']['field']['section_id']			=array('title'=>'Раздел') ;

    $_SESSION['descr_clss'][25]['details']=$_SESSION['descr_clss'][25]['list'] ;



    // 27 - сообщение отзыва (модуль Отзывы), сообщение форума (модуль Форум) - но вроде как не используется в форуме
    // 28 - тема форума (модуль Форум)
    // 29 - опрос (модуль Опросы)
    // 30 - вариант ответа (модуль Опросы)
    // 31 - сообщение запроса на сайте (модуль Запросы)
    // 32 - вопрос (модуль FAQ)
    // 33 - рассылка (модуль mailer)

    // 34 - Очередь заданий рассылки (system + модуль mailer)
    $_SESSION['descr_clss'][34]['name']='Задание в очереди отправки' ;
    $_SESSION['descr_clss'][34]['parent']=0 ;
    $_SESSION['descr_clss'][34]['fields']=array('value'=>'longtext','mail_to'=>'varchar(255)','mail_from'=>'varchar(255)','options'=>'text','error'=>'int(1)','send_result'=>'varchar(255)') ;
    $_SESSION['descr_clss'][34]['parent_to']=array(33) ;
    $_SESSION['descr_clss'][34]['no_show_in_tree']=1 ;
    $_SESSION['descr_clss'][34]['no_export_in_xml']=1 ;
    $_SESSION['descr_clss'][34]['no_use_trash']=1 ;
    $_SESSION['descr_clss'][34]['list']['options']=array('no_icon_edit'=>1,'read_only'=>1);

    //$_SESSION['descr_clss'][34]['list']['field']['enabled']		=array('title'=>'Состояние','class'=>'inverse') ;
    $_SESSION['descr_clss'][34]['list']['field']['c_data']		='Время постановки в очередь'  ;
    //$_SESSION['descr_clss'][34]['list']['field']['r_data']		='Время отправки'  ;
    $_SESSION['descr_clss'][34]['list']['field']['mail_from']	=array('title'=>'Отправить') ;
    $_SESSION['descr_clss'][34]['list']['field']['mail_to']		=array('title'=>'Получатель') ;
    $_SESSION['descr_clss'][34]['list']['field']['indx']		=array('title'=>'Попыток отправки') ;
    $_SESSION['descr_clss'][34]['list']['field']['send_result']		=array('title'=>'Результат отправки') ;
    //$_SESSION['descr_clss'][34]['list']['field']['obj_name']	=array('title'=>'Тема') ;
    //$_SESSION['descr_clss'][34]['list']['field']['options']		=array('title'=>'Опции') ;

    $_SESSION['descr_clss'][34]['details']=$_SESSION['descr_clss'][34]['list'] ;
    $_SESSION['descr_clss'][34]['details']['field']['value']	=array('title'=>'Содержание письма') ;


    // 35 - товар дня (модуль goods_of_day)
    // 36 - новая страница сайта - 96


    // 37 - multiselect value
    // класс
	$_SESSION['descr_clss'][37]['name']='multiselect value' ;
	$_SESSION['descr_clss'][37]['parent']=0 ;
	$_SESSION['descr_clss'][37]['fields']['list_id']='int(11)' ; // id списка в списках сайта, по которому выбираются значения
    $_SESSION['descr_clss'][37]['fields']['value_id']='int(11)'; // id значения в выбранном списке
    $_SESSION['descr_clss'][37]['table_code']='values' ;

    $_SESSION['descr_clss'][37]['list']['field']['pkey']				='Код' ;
    $_SESSION['descr_clss'][37]['list']['field']['c_data']				='Создан' ;
    $_SESSION['descr_clss'][37]['list']['field']['list_id']				=array('title'=>'Код списка','class'=>'left') ;
    $_SESSION['descr_clss'][37]['list']['field']['value_id']		    =array('title'=>'Код элемента списка','class'=>'left') ;

    // 38 - товарный набор (расширение ext_goods_kit для модуля goods)
    // 39 - Позиция товарного набора (расширение ext_goods_kit для модуля goods)



    // 41 - текстовое поле объекта (для хранение manual в отдельной таблице)
    $_SESSION['descr_clss'][41]['name']='Текст' ;
    $_SESSION['descr_clss'][41]['parent']=0 ;
    $_SESSION['descr_clss'][41]['fields']=array('obj_name'=>'varchar(32)','value'=>'text') ;
    $_SESSION['descr_clss'][41]['table_code']='texts' ;
    $_SESSION['descr_clss'][41]['table_name']='Текстовые поля' ;
    $_SESSION['descr_clss'][41]['no_show_in_tree']=1 ; // не показывать объекты класса в дереве

    $_SESSION['descr_clss'][41]['list']['field']['obj_name']			=array('title'=>'Наименование','class'=>'left') ;
    $_SESSION['descr_clss'][41]['list']['field']['value']				=array('title'=>'Содержание','class'=>'left','use_HTML_editor'=>1) ;

	// статистика входов на сайт клиентов
	$_SESSION['descr_clss'][42]['name']='Статистика реальных клиентов' ;
	$_SESSION['descr_clss'][42]['parent']=0 ;
	$_SESSION['descr_clss'][42]['fields']=array('cnt'=>'int(11)','cnt_init'=>'int(11)') ;
    $_SESSION['descr_clss'][42]['fields']['c_data']=array('type'=>'timedata','data_format'=>'d.m.y G:i') ;

	$_SESSION['descr_clss'][42]['list']['field']['pkey']			='Код' ;
	$_SESSION['descr_clss'][42]['list']['field']['c_data']=array('title'=>'Дата','class'=>'left','wrap'=>'nowrap') ;
	$_SESSION['descr_clss'][42]['list']['field']['cnt']=array('title'=>'Число случайных клиентов') ;
	$_SESSION['descr_clss'][42]['list']['field']['cnt_init']=array('title'=>'Число реальных клиентов') ;

	// 43 - статистика входов на сайт клиентов, Модуль "Статистика"




    // 46 - статистика ТОР страниц сайта, Модуль "Статистика"
	// 47 - статистика использования ресурсов, Модуль "Статистика"
    // 48 - статистика переходов, Модуль "Статистика"
	// 49 - статистика запросов, Модуль "Статистика"

    // журнал показанных страниц
	$_SESSION['descr_clss'][50]['name']='Запись журнала показанных страниц' ;
	$_SESSION['descr_clss'][50]['parent']=0 ;
	$_SESSION['descr_clss'][50]['fields']=array('ip'=>'varchar(15)','url'=>'text','obj_name'=>'text','reffer'=>'text','session_id'=>'varchar(50)','url_from'=>'text','search_text'=>'text','user_agent'=>'text','time_gen'=>'float','mem_size'=>'float','sql_cnt'=>'int(11)','sql_time'=>'float','use_cache'=>'int(11)','page_keywords'=>'text','page_description'=>'text','is_robot'=>'int(1)','is_reboot'=>'int(1)') ;
    $_SESSION['descr_clss'][50]['fields']['c_data']=array('type'=>'timedata','data_format'=>'d.m.y G:i') ;
    $_SESSION['descr_clss'][50]['fields']['country']=array('type'=>'varchar(4)') ;
    $_SESSION['descr_clss'][50]['fields']['city']=array('type'=>'varchar(32)') ;
    $_SESSION['descr_clss'][50]['fields']['page_trace_fname']=array('type'=>'varchar(128)') ;
    $_SESSION['descr_clss'][50]['fields']['session_time']=array('type'=>'float') ;
    $_SESSION['descr_clss'][50]['fields']['include_time']=array('type'=>'float') ;
    $_SESSION['descr_clss'][50]['fields']['script_count']=array('type'=>'int(11)') ;
	 $_SESSION['descr_clss'][50]['fields']['server_ip']=array('type'=>'varchar(15)') ;
   $_SESSION['descr_clss'][50]['fields']['db_node']=array('type'=>'int(11)') ;

    $_SESSION['descr_clss'][50]['default']=array('clss'=>50,'enabled'=>1,'parent'=>1);
	$_SESSION['descr_clss'][50]['table_code']='pages' ;
    $_SESSION['descr_clss'][50]['table_name']='Журнал страниц' ;

	$_SESSION['descr_clss'][50]['list']['field']['pkey']				='Код' ;
	$_SESSION['descr_clss'][50]['list']['field']['c_data']				=array('title'=>'Дата','wrap'=>'nowrap') ;
	$_SESSION['descr_clss'][50]['list']['field']['ip']					=array('title'=>'IP') ;
	$_SESSION['descr_clss'][50]['list']['field'][]						=array('title'=>'IP инфо','edit_element'=>'show_ip_info') ;
	$_SESSION['descr_clss'][50]['list']['field']['url_from']			=array('title'=>'Откуда','td_class'=>'left','view_as'=>'href') ;
	$_SESSION['descr_clss'][50]['list']['field']['search_text']			=array('title'=>'Что искали','td_class'=>'left') ;
	$_SESSION['descr_clss'][50]['list']['field']['url']					=array('title'=>'Адрес страницы','td_class'=>'left width_300','view_as'=>'urldecode') ;
	$_SESSION['descr_clss'][50]['list']['field']['use_cache']			=array('title'=>'Код') ;
	$_SESSION['descr_clss'][50]['list']['field']['obj_name']			=array('title'=>'Имя объекта','td_class'=>'left') ;
	$_SESSION['descr_clss'][50]['list']['field']['reffer']				=array('title'=>'Код объекта','td_class'=>'left') ;
	$_SESSION['descr_clss'][50]['list']['field']['time_gen']			=array('title'=>'Время генерации, с.') ;
	$_SESSION['descr_clss'][50]['list']['field']['mem_size']			=array('title'=>'Задействовано памяти') ;
	$_SESSION['descr_clss'][50]['list']['field']['sql_cnt']				=array('title'=>'Запросов к БД') ;
	$_SESSION['descr_clss'][50]['list']['field']['sql_time']			=array('title'=>'Время на запросы к БД') ;
	$_SESSION['descr_clss'][50]['list']['field']['session_id']			=array('title'=>'id сессии','td_class'=>'left') ;
	$_SESSION['descr_clss'][50]['list']['field']['user_agent']			=array('title'=>'На чем','td_class'=>'left','wrap'=>'nowrap') ;

	// 51 - запись по ошибке, бывший кеш страниц
    $_SESSION['descr_clss'][51]['name']='Ошибка на сайте' ;
    $_SESSION['descr_clss'][51]['parent']=0 ;
    $_SESSION['descr_clss'][51]['fields']=array('cnt'=>'int(11)','account_id'=>'int(11)','IP'=>'varchar(15)','typ'=>'varchar(10)','url'=>'varchar(255)','script'=>'varchar(255)','file'=>'varchar(255)','line'=>'int(11)','server'=>'serialize','_get'=>'text','_post'=>'text','trace'=>'text') ;
	$_SESSION['descr_clss'][51]['fields']['server_ip']=array('type'=>'varchar(15)') ;
	 $_SESSION['descr_clss'][51]['fields']['db_node']=array('type'=>'int(11)') ;

    $_SESSION['descr_clss'][51]['list']['field']['pkey']=array('title'=>'ID') ;
    $_SESSION['descr_clss'][51]['list']['field']['c_data']=array('title'=>'Дата') ;
    $_SESSION['descr_clss'][51]['list']['field']['IP']=array('title'=>'IP') ;
    $_SESSION['descr_clss'][51]['list']['field']['account_id']=array('title'=>'IP') ;
    $_SESSION['descr_clss'][51]['list']['field']['obj_name']=array('title'=>'Текст ошибки','td_class'=>'left') ;
    $_SESSION['descr_clss'][51]['list']['field']['url']=array('title'=>'URL','td_class'=>'left') ;
    $_SESSION['descr_clss'][51]['list']['field']['script']=array('title'=>'Скрипт','td_class'=>'left') ;
    $_SESSION['descr_clss'][51]['list']['field']['file']=array('title'=>'Файл','td_class'=>'left') ;
    $_SESSION['descr_clss'][51]['list']['field']['line']=array('title'=>'Строка') ;
    $_SESSION['descr_clss'][51]['list']['field']['']=array('title'=>'Подробности','td_class'=>'to_edit') ;
    //$_SESSION['descr_clss'][51]['list']['options']=array('no_icon_edit'=>1);
    $_SESSION['descr_clss'][51]['details']=$_SESSION['descr_clss'][51]['list'] ;
    $_SESSION['descr_clss'][51]['details']['field']['_get']=array('title'=>'$_GET') ;
    $_SESSION['descr_clss'][51]['details']['field']['_post']=array('title'=>'$_POST') ;
    $_SESSION['descr_clss'][51]['details']['field']['server']=array('title'=>'$_SERVER') ;
    $_SESSION['descr_clss'][51]['details']['field']['trace']=array('title'=>'trace','view_as_HTML'=>1) ;


	//ссылка на странице - для генерации дерева сайта
	$_SESSION['descr_clss'][52]['name']='Ссылка на странице' ;
	$_SESSION['descr_clss'][52]['parent']=0 ;
	$_SESSION['descr_clss'][52]['fields']=array('level'=>'int(11)','page'=>'varchar(255)','href'=>'text','is_out'=>'int(1)','is_parsed'=>'int(1)','title'=>'text') ;

	$_SESSION['descr_clss'][52]['list']['field']['obj_name']=array('title'=>'Текст ссылки','td_class'=>'left') ;
	$_SESSION['descr_clss'][52]['list']['field']['title']=array('title'=>'Title') ;
	$_SESSION['descr_clss'][52]['list']['field']['level']=array('title'=>'Уровень') ;
	$_SESSION['descr_clss'][52]['list']['field']['page']=array('title'=>'Страница','class'=>'left') ;
	$_SESSION['descr_clss'][52]['list']['field']['href']=array('title'=>'URL','class'=>'left') ;
	$_SESSION['descr_clss'][52]['list']['field']['is_out']=array('title'=>'Внешняя') ;
	$_SESSION['descr_clss'][52]['list']['field']['is_parsed']=array('title'=>'Внешняя') ;
	$_SESSION['descr_clss'][52]['list']['options']=array('no_icon_edit'=>1);

    // 53 Ветка чата     (модуль Чат)
    // 54 Сообщение чата (модуль Чат)
    // 55 Оператор чата (модуль Чат)


    // [template=formulapereezda/panel_float_services,class=float_right]
    // [catalog=galerey,view=2,template=formulapereezda/panel_carusel_images]
    // [template=formulapereezda/panel_button_1x]
    // [template=formulapereezda/panel_responses_list_and_form_create]


    // 57
    // 58
    // 59
    // 60 Тип товара (модуль Каталогизатор)
    // 61 Cвойство для типа товара (модуль Каталогизатор)
    // 62 Бренд (модуль Товары)
    // 63 Коллекция (модуль Товары)
    // 64 Серия (модуль Тoвары)
    // 65 Сортамент товара (модуль Тoвары)
    // 66 Остаток товара  (модуль Тoвары)
    // 67
    // 68
    // 69
    // 70 Шаблон (=директрия) (модуль Лендинг)
    // 71 Информация          (модуль Лендинг)
    // 72
    // 73
    // 74
    // 75
    // 76
    // 77
    // 78
    // 79 - лог SQL - запросов
    $_SESSION['descr_clss'][79]['name']='Лог SQL долгих запросов' ;
    $_SESSION['descr_clss'][79]['parent']=0 ;
    $_SESSION['descr_clss'][79]['fields']=array('account_id'=>'int(11)','IP'=>'varchar(15)','url'=>'varchar(255)','t_exec'=>'float(10,6)','t_send'=>'float(10,6)','cnt'=>'int(11)','trace'=>'text') ;
    $_SESSION['descr_clss'][79]['fields']['server_ip']=array('type'=>'varchar(15)') ;
	$_SESSION['descr_clss'][79]['fields']['db_node']=array('type'=>'int(11)') ;

    $_SESSION['descr_clss'][79]['list']['field']['c_data']=array('title'=>'Дата') ;
    $_SESSION['descr_clss'][79]['list']['field']['obj_name']=array('title'=>'Текст запроса','td_class'=>'left') ;
    $_SESSION['descr_clss'][79]['list']['field']['options']=array('title'=>'options','td_class'=>'left') ;
    $_SESSION['descr_clss'][79]['list']['field']['t_exec']=array('title'=>'Время выполнения','td_class'=>'left') ;
    $_SESSION['descr_clss'][79]['list']['field']['t_send']=array('title'=>'Время выполнения','td_class'=>'left') ;
    $_SESSION['descr_clss'][79]['list']['field']['cnt']=array('title'=>'Число записей','td_class'=>'left') ;
    $_SESSION['descr_clss'][79]['list']['field']['script']=array('title'=>'URL','td_class'=>'left') ;
    $_SESSION['descr_clss'][79]['list']['field']['file']=array('title'=>'trace','td_class'=>'left') ;
    //$_SESSION['descr_clss'][79]['list']['field']['line']=array('title'=>'Строка') ;
    //$_SESSION['descr_clss'][79]['list']['options']=array('no_icon_edit'=>1);
    $_SESSION['descr_clss'][79]['details']=$_SESSION['descr_clss'][79]['list'] ;


    // 81 - Услуга (система Заказов)
    // 82 - заказ (система Заказов)
    // 83 - купон (система Заказов)
    // 84 - Тип доставки (система Заказов)
    // 85 - Тип оплаты (система Заказов)
    // 86 - аккаунт (система Аккаунтов)
    // 87 - Физическое лицо (система Аккаунтов)
    // 88 - Юридическое лицо (система Аккаунтов)
    // 89 - Клиент (система Аккаунтов)
    // 90 - ИП (система Аккаунтов)
    // 91 - Магазин (система Аккаунтов) , Партнер сайта (Партнерская система)
    // 92 - Сайт партнера (Партнерская система)
    // 93 - Выплата партнеру (Партнерская система)
    // 94 - Партнерская статистика (Партнерская система)
    // 94 - Партнерская статистика (Партнерская система) - удален

	// пункт меню админа
	$_SESSION['descr_clss'][94]['name']='Роль' ;
	$_SESSION['descr_clss'][94]['parent']=0 ;
    $_SESSION['descr_clss'][94]['fields']['id']=array('type'=>'int(11)','index'=>'id') ;
    $_SESSION['descr_clss'][94]['fields']['index_page']=array('type'=>'varchar(128)') ;
	$_SESSION['descr_clss'][94]['fields']['use_auch_as_smena']=array('type'=>'int(1)') ;
	$_SESSION['descr_clss'][94]['fields']['smena_monopole_mode']=array('type'=>'int(1)') ;
	$_SESSION['descr_clss'][94]['fields']['report_template']=array('type'=>'varchar(128)') ;
	$_SESSION['descr_clss'][94]['fields']['working']=array('type'=>'varchar(128)') ;
    $_SESSION['descr_clss'][94]['fields']['autologout']=array('type'=>'int(11)','default'=>0) ;


	// пункт меню админа
	$_SESSION['descr_clss'][95]['name']='Пункт меню админа' ;
	$_SESSION['descr_clss'][95]['parent']=0 ;
    $_SESSION['descr_clss'][95]['parent_to']=array() ;
    $_SESSION['descr_clss'][95]['child_to']=array(98) ;
	$_SESSION['descr_clss'][95]['fields']=array('href'=>'text','read_only'=>'int(1)') ;
    $_SESSION['descr_clss'][95]['menu'][]=array("name" => "Свойcтва",			"action" => 2) ; // пункт меню админа


	$_SESSION['descr_clss'][95]['list']['field']['clss']		=array('title'=>'Класс') ;
	$_SESSION['descr_clss'][95]['list']['field']['pkey']			='Код' ;
	$_SESSION['descr_clss'][95]['list']['field']['enabled']		='Сост.' ;
	$_SESSION['descr_clss'][95]['list']['field']['indx']			='Позиция'  ;
	$_SESSION['descr_clss'][95]['list']['field']['obj_name']		='Наименование' ;
	$_SESSION['descr_clss'][95]['list']['field']['href']=array('title'=>'Ссылка','edit_element'=>1,'size'=>40) ;

    // 96 ранее ключевые слова страницы сайта, 05.02.12 - отключено, все metatags вынесены в sitemap
	$_SESSION['descr_clss'][96]['name']='Сессия пользователя' ;
	$_SESSION['descr_clss'][96]['parent']=0 ;


	//Персонал
	$_SESSION['descr_clss'][98]['name']='Персонал' ;
	$_SESSION['descr_clss'][98]['parent']=0 ;
    $_SESSION['descr_clss'][98]['parent_to']=array(95) ;
    $_SESSION['descr_clss'][98]['child_to']=array(1) ;
	$_SESSION['descr_clss'][98]['fields']=array('email'=>'varchar(255)','password'=>'varchar(32)','login'=>'varchar(32)') ;
    $_SESSION['descr_clss'][98]['menu'][]=array("name" => "Главное меню",   'cmd' => 'panel_menu') ;
    $_SESSION['descr_clss'][98]['menu'][]=array("name" => "Свойства",	    'cmd' => 'panel_props') ;
    $_SESSION['descr_clss'][98]['menu'][]=array("name" => "Пароль",			'cmd' => 'panel_pass') ;

    $_SESSION['descr_clss'][98]['icons']=_PATH_TO_BASED_CLSS_IMG.'/98.png' ;

	$_SESSION['descr_clss'][98]['list']['field']['enabled']		='Сост.' ;
	$_SESSION['descr_clss'][98]['list']['field']['obj_name']	='Имя' ;
	$_SESSION['descr_clss'][98]['list']['field']['email'] 		='E-mail' ;
	$_SESSION['descr_clss'][98]['list']['field']['login'] 		='Логин' ;
	//$_SESSION['descr_clss'][98]['list']['field']['code'] 		='Токен' ;

	$_SESSION['descr_clss'][98]['details']=$_SESSION['descr_clss'][98]['list'] ;
	//$_SESSION['descr_clss'][98]['details']['field']['password']	=array('title'=>'Пароль','use_func'=>'generate_user_password') ;
	//$_SESSION['descr_clss'][98]['list']['options']=array('no_icon_edit'=>1);

	// настрйка сайта
	$_SESSION['descr_clss'][99]['name']='Настройка сайта' ;
	$_SESSION['descr_clss'][99]['parent']=0 ;
	$_SESSION['descr_clss'][99]['fields']=array('value'=>'text','descr'=>'text','code'=>'varchar(32)') ;
	$_SESSION['descr_clss'][99]['fields']['comment']=array('type'=>'varchar(64)','default'=>"",'index'=>'comment') ;
	$_SESSION['descr_clss'][99]['fields']['hidden']=array('type'=>'int(1)','default'=>0) ;
	$_SESSION['descr_clss'][99]['fields']['crypt']=array('type'=>'int(1)','default'=>0) ;
	$_SESSION['descr_clss'][99]['fields']['keywords']=array('type'=>'varchar(255)') ;
	$_SESSION['descr_clss'][99]['fields']['ext_info']=array('type'=>'serialize') ;
	$_SESSION['descr_clss'][99]['parent_to']=array() ;
    $_SESSION['descr_clss'][99]['menu'][]=array("name" => "Свойства", "type" => 'prop') ;

	$_SESSION['descr_clss'][99]['list']['field']['enabled']				='Сост.' ;
	$_SESSION['descr_clss'][99]['list']['field']['obj_name']			='Наименование' ;
	$_SESSION['descr_clss'][99]['list']['field']['hidden']			    ='Скрыть в настройках' ;
	$_SESSION['descr_clss'][99]['list']['field']['crypt']			    ='Шифровать' ;
	$_SESSION['descr_clss'][99]['list']['field']['value']				=array('title'=>'Значение','td_class'=>'left','class'=>'big') ;
	$_SESSION['descr_clss'][99]['list']['field']['comment']             =array('title'=>'Имя переменной','edit_element'=>'input','td_class'=>'left') ;
	$_SESSION['descr_clss'][99]['list']['options']=array('no_icon_edit'=>1);

	$_SESSION['descr_clss'][99]['details']=$_SESSION['descr_clss'][99]['list'] ;

	//Ссылка на объект
     $_SESSION['descr_clss'][100]=array() ;
	$_SESSION['descr_clss'][100]['name']='Ссылка на объект' ;
	$_SESSION['descr_clss'][100]['parent']=0 ;
	$_SESSION['descr_clss'][100]['fields']=array('reffer'=>'any_object') ;
    $_SESSION['descr_clss'][100]['menu'][]=array("name" => "Ссылка",				"action" => 1) ; // панель для ссылки на объект
    $_SESSION['descr_clss'][100]['no_show_in_tree']=1 ;
    $_SESSION['descr_clss'][100]['no_create_by_list']					=1 ;

    $_SESSION['descr_clss'][100]['no_show_dialog_to_create']=1 ; // не показывать ссылку для создания объекта в меню "Вы можете:"

    $_SESSION['descr_clss'][100]['icons']=_PATH_TO_BASED_CLSS_IMG.'/100.png' ;

	$_SESSION['descr_clss'][100]['list']['field']['enabled']		='Сост.' ;
	$_SESSION['descr_clss'][100]['list']['field']['indx']			='Позиция'  ;
	$_SESSION['descr_clss'][100]['list']['field']['']			    =array('title'=>'Фото','edit_element'=>'clss_100_image')  ;
	$_SESSION['descr_clss'][100]['list']['field']['obj_name']	    ='Название ссылки'  ;
	$_SESSION['descr_clss'][100]['list']['field']['reffer']	        ='Ссылка на'  ;
	$_SESSION['descr_clss'][100]['list']['options']=array('no_icon_edit'=>1);

    /* системные классы **************************************************************************************************************************/

	//объектные таблицы
	$_SESSION['descr_clss'][101]['name']		='Объектная таблица' ;
	$_SESSION['descr_clss'][101]['parent']		=0 ;
	$_SESSION['descr_clss'][101]['fields']		=array('table_name'=>'text','dir_to_image'=>'text','img_pattern'=>'varchar(255)','setting'=>'text','fields_info'=>'serialize') ;
	$_SESSION['descr_clss'][101]['parent_to']	=array(104) ;
	$_SESSION['descr_clss'][101]['child_to']	=array(103) ;

    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Состав", 			'cmd'=>'clss_101_sostav',		'icon'=>'treemode2.gif') ;
    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Параметры", 		'cmd'=>'clss_101_show_params') ;
    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Мультиязычность", 	'cmd'=>'clss_101_multilang') ;
    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Классы", 	        'cmd'=>'clss_101_used_classes') ;
    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Операции", 		    'cmd'=>'clss_101_operation') ;
    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Модель", 		    'cmd'=>'clss_101_model') ;
    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Проверка", 		    'cmd'=>'table_checked' , 'script'=>'ext/table') ;
    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Поля", 				'cmd'=>'db_info');
    $_SESSION['descr_clss'][101]['menu'][]=array("name" => "Дамп таблицы", 		'cmd'=>'db_damp');

    $_SESSION['descr_clss'][101]['icons']=_PATH_TO_BASED_CLSS_IMG.'/101.png' ;

	$_SESSION['descr_clss'][101]['list']['field']['pkey']			='Код' ;
	$_SESSION['descr_clss'][101]['list']['field']['indx']			='Позиция'  ;
	$_SESSION['descr_clss'][101]['list']['field']['obj_name']		='Наименование' ;
	$_SESSION['descr_clss'][101]['list']['field']['table_name']		=array('title'=>'Название таблицы','read_only'=>1,'td_class'=>'left') ;
	$_SESSION['descr_clss'][101]['list']['options']					=array('no_icon_edit'=>1) ;

    // 102 - LINK, ранее "Связь между таблицами"
    // класс для связи между объектами - один/ко многим
    $_SESSION['descr_clss'][102]['name']		='Линки' ;
    $_SESSION['descr_clss'][102]['parent']		=0 ;
    $_SESSION['descr_clss'][102]['fields']['o_id']=array('type'=>'int(11)','index'=>'o_id') ;
	$_SESSION['descr_clss'][102]['fields']['o_tkey']=array('type'=>'int(11)','index'=>'o_tkey') ;
	$_SESSION['descr_clss'][102]['fields']['o_clss']=array('type'=>'int(11)','index'=>'o_clss') ;
	$_SESSION['descr_clss'][102]['fields']['p_id']=array('type'=>'int(11)','index'=>'p_id') ;
	$_SESSION['descr_clss'][102]['fields']['p_tkey']=array('type'=>'int(11)','index'=>'p_tkey') ;
	$_SESSION['descr_clss'][102]['fields']['p_clss']=array('type'=>'int(11)','index'=>'p_clss') ;



    $_SESSION['descr_clss'][102]['table_code']='link' ;

    $_SESSION['descr_clss'][102]['list']['field']['enabled']			='Сост.' ;
    $_SESSION['descr_clss'][102]['list']['field']['indx']				='Позиция'  ;
    $_SESSION['descr_clss'][102]['list']['field']['obj_name']		    =array('title'=>'Линк','td_class'=>'left') ;
    $_SESSION['descr_clss'][102]['list']['field']['path']			    =array('title'=>'Путь','td_class'=>'left') ;

	//разделы объектных таблиц
	$_SESSION['descr_clss'][103]['name']							='Раздел ОТ' ;
	$_SESSION['descr_clss'][103]['parent']							=1 ;
	$_SESSION['descr_clss'][103]['fields']							=array('table_name'=>'text') ;
	$_SESSION['descr_clss'][103]['parent_to']						=array(101,108,109) ;
	$_SESSION['descr_clss'][103]['child_to']						=array() ;

    //$_SESSION['descr_clss'][103]['menu'][]=array("name" => "Состав", 				'action'=>1, /*'function'=>'_obj_table_sostav',	*/'icon'=>'treemode2.gif') ;    // каталог объектных таблиц
    $_SESSION['descr_clss'][103]['menu'][]=array("name" => "Добавить",			'type' 	=> 'structure') ;
    //$_SESSION['descr_clss'][103]['menu'][]=array("name" => "Операции", 			'action'=>2, 'function'=>'_table_catalog_operation') ;

	$_SESSION['descr_clss'][103]['list']['field']['c_data']			='Создан' ;
	$_SESSION['descr_clss'][103]['list']['field']['pkey']			='Код' ;
	$_SESSION['descr_clss'][103]['list']['field']['enabled']		='Сост.' ;
	$_SESSION['descr_clss'][103]['list']['field']['indx']			='Позиция'  ;
	$_SESSION['descr_clss'][103]['list']['field']['obj_name']		='Наименование' ;
	$_SESSION['descr_clss'][103]['list']['field']['table_name']		=array('title'=>'Префикс','edit_element'=>'input','class'=>'small') ;

	// поддерживаемые классы
	$_SESSION['descr_clss'][104]['name']							='Поддерживаемый класс' ;
	$_SESSION['descr_clss'][104]['parent']							=0 ;
    $_SESSION['descr_clss'][104]['child_to']						=array(101,108) ;
    $_SESSION['descr_clss'][104]['parent_to']						=array(105) ;

   $_SESSION['descr_clss'][104]['icon']='fas fa-cubes green' ;

	$_SESSION['descr_clss'][104]['list']['field']['indx']			=array('title'=>'Код класса') ;
	$_SESSION['descr_clss'][104]['list']['field'][]					=array('title'=>'Имя класса','edit_element'=>'clss_104_class_name','td_class'=>'left') ;
	$_SESSION['descr_clss'][104]['list']['options']					=array('no_icon_edit'=>1) ;

    // мультиязычность поля класса
	$_SESSION['descr_clss'][105]['name']							='Мультиязычность поля' ;
	$_SESSION['descr_clss'][105]['parent']							=0 ;
	$_SESSION['descr_clss'][105]['fields']							=array() ;
    $_SESSION['descr_clss'][105]['child_to']						=array(104) ;
    $_SESSION['descr_clss'][105]['parent_to']						=array() ;

    $_SESSION['descr_clss'][105]['icons']=_PATH_TO_BASED_CLSS_IMG.'/104.png' ;

	$_SESSION['descr_clss'][105]['list']['field'][]					=array('title'=>'Имя поля','td_class'=>'left','use_func'=>'get_clss_text_fields') ;
	$_SESSION['descr_clss'][105]['list']['field']['indx']			=array('title'=>'Показывать в List','edit_element'=>'checkbox') ;
	$_SESSION['descr_clss'][105]['list']['options']					=array('no_icon_edit'=>1) ;

    // 106  - свободен, ранее индексные таблицы
    // 107  - свободен, ранее индексные списки

	// 108 - журнальные таблицы
	$_SESSION['descr_clss'][108]['name']							='Журнальная таблица' ;
	$_SESSION['descr_clss'][108]['parent']							=101 ;
	$_SESSION['descr_clss'][108]['fields']							=array('table_name'=>'text') ;
    $_SESSION['descr_clss'][108]['child_to']						=array(103) ;
    $_SESSION['descr_clss'][108]['parent_to']						=array(104) ;



	 $_SESSION['descr_clss'][108]['icon']='fas fas fa-scroll blue' ;

	$_SESSION['descr_clss'][108]['list']['field']['pkey']			='Код' ;
	$_SESSION['descr_clss'][108]['list']['field']['indx']			='Позиция'  ;
	$_SESSION['descr_clss'][108]['list']['field']['obj_name']		='Наименование' ;
	$_SESSION['descr_clss'][108]['list']['field']['table_name']		=array('title'=>'Название таблицы','td_class'=>'left') ;

    // 109 - свободно, ранее Подсистема сайта
    // 110 - свободно, ранее класс
    // 111
    // 112 - свободно, ранее поле класса
    // 113
    // 114
    // 115
    // 116
    // 117
    // 118
    // 119
    // 120 - позиция сметы заказа (система Заказов)


 $_SESSION['descr_clss'][276]['name']='Задание для crontab' ;
  $_SESSION['descr_clss'][276]['parent']=0 ;
  $_SESSION['descr_clss'][276]['fields']['obj_name']=array('type'=>'varchar(256)') ; // название задания
  $_SESSION['descr_clss'][276]['fields']['cmd']=array('type'=>'varchar(256)') ; // команда
  $_SESSION['descr_clss'][276]['fields']['last_exec']=array('type'=>'int(11)') ; // дата последнего вызова
  $_SESSION['descr_clss'][276]['fields']['last_exec_end']=array('type'=>'int(11)') ; // дата последнего вызова - завершение
  $_SESSION['descr_clss'][276]['fields']['time_exec']=array('type'=>'float(10,2)') ; // длительность последнего выполнения
  $_SESSION['descr_clss'][276]['fields']['status']=array('type'=>'int(1)','default'=>0) ; // длительность последнего выполнения
  $_SESSION['descr_clss'][276]['fields']['intr']=array('type'=>'varchar(128)') ; // расписание
  $_SESSION['descr_clss'][276]['fields']['default_intr']=array('type'=>'varchar(128)') ; //поле для значения крона по умолчанию, в случае если изменяем поле в ручную

 }
?>
